/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
 

/**
 *
 * @author joaop
 */
import javax.swing.JFileChooser;
import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JTabbedPane;
import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;

public class AppView extends javax.swing.JFrame {

    /**
     * Creates new form AppView
     */
    public AppView() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        jFileChooser = new javax.swing.JFileChooser();
        pFileStatus = new javax.swing.JPanel();
        lBFIle = new javax.swing.JLabel();
        tBPane = new javax.swing.JTabbedPane();
        mBar = new javax.swing.JMenuBar();
        mFile = new javax.swing.JMenu();
        mINew = new javax.swing.JMenuItem();
        mIOpen = new javax.swing.JMenuItem();
        mRepository = new javax.swing.JMenu();
        mIImunized = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        pFileStatus.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        lBFIle.setText("File: note found");
        pFileStatus.add(lBFIle);

        getContentPane().add(pFileStatus, java.awt.BorderLayout.PAGE_END);
        getContentPane().add(tBPane, java.awt.BorderLayout.CENTER);

        mFile.setText("File");

        mINew.setText("New");
        mFile.add(mINew);

        mIOpen.setText("Open");
        mIOpen.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mIOpenActionPerformed(evt);
            }
        });
        mFile.add(mIOpen);

        mBar.add(mFile);

        mRepository.setText("Repository");

        mIImunized.setText("Imunized");
        mRepository.add(mIImunized);

        mBar.add(mRepository);

        setJMenuBar(mBar);

        pack();
    }// </editor-fold>                        

    private void mIOpenActionPerformed(java.awt.event.ActionEvent evt) {                                       
        // TODO add your handling code here:
    }                                      

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AppView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AppView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AppView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AppView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new AppView().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify                     
    private javax.swing.JFileChooser jFileChooser;
    private javax.swing.JLabel lBFIle;
    private javax.swing.JMenuBar mBar;
    private javax.swing.JMenu mFile;
    private javax.swing.JMenuItem mIImunized;
    private javax.swing.JMenuItem mINew;
    private javax.swing.JMenuItem mIOpen;
    private javax.swing.JMenu mRepository;
    private javax.swing.JPanel pFileStatus;
    private javax.swing.JTabbedPane tBPane;
    // End of variables declaration                   

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie jFileChooser*/
    public JFileChooser getJFileChooser(){
        return this.jFileChooser;
    }//end method getJFileChooser

    /**SET Method Propertie jFileChooser*/
    public void setJFileChooser(JFileChooser jFileChooser){
        this.jFileChooser = jFileChooser;
    }//end method setJFileChooser

    /**GET Method Propertie lBFIle*/
    public JLabel getLBFIle(){
        return this.lBFIle;
    }//end method getLBFIle

    /**SET Method Propertie lBFIle*/
    public void setLBFIle(JLabel lBFIle){
        this.lBFIle = lBFIle;
    }//end method setLBFIle

    /**GET Method Propertie mBar*/
    public JMenuBar getMBar(){
        return this.mBar;
    }//end method getMBar

    /**SET Method Propertie mBar*/
    public void setMBar(JMenuBar mBar){
        this.mBar = mBar;
    }//end method setMBar

    /**GET Method Propertie mFile*/
    public JMenu getMFile(){
        return this.mFile;
    }//end method getMFile

    /**SET Method Propertie mFile*/
    public void setMFile(JMenu mFile){
        this.mFile = mFile;
    }//end method setMFile

    /**GET Method Propertie mIImunized*/
    public JMenuItem getMIImunized(){
        return this.mIImunized;
    }//end method getMIImunized

    /**SET Method Propertie mIImunized*/
    public void setMIImunized(JMenuItem mIImunized){
        this.mIImunized = mIImunized;
    }//end method setMIImunized

    /**GET Method Propertie mINew*/
    public JMenuItem getMINew(){
        return this.mINew;
    }//end method getMINew

    /**SET Method Propertie mINew*/
    public void setMINew(JMenuItem mINew){
        this.mINew = mINew;
    }//end method setMINew

    /**GET Method Propertie mIOpen*/
    public JMenuItem getMIOpen(){
        return this.mIOpen;
    }//end method getMIOpen

    /**SET Method Propertie mIOpen*/
    public void setMIOpen(JMenuItem mIOpen){
        this.mIOpen = mIOpen;
    }//end method setMIOpen

    /**GET Method Propertie mRepository*/
    public JMenu getMRepository(){
        return this.mRepository;
    }//end method getMRepository

    /**SET Method Propertie mRepository*/
    public void setMRepository(JMenu mRepository){
        this.mRepository = mRepository;
    }//end method setMRepository

    /**GET Method Propertie pFileStatus*/
    public JPanel getPFileStatus(){
        return this.pFileStatus;
    }//end method getPFileStatus

    /**SET Method Propertie pFileStatus*/
    public void setPFileStatus(JPanel pFileStatus){
        this.pFileStatus = pFileStatus;
    }//end method setPFileStatus

    /**GET Method Propertie tBPane*/
    public JTabbedPane getTBPane(){
        return this.tBPane;
    }//end method getTBPane

    /**SET Method Propertie tBPane*/
    public void setTBPane(JTabbedPane tBPane){
        this.tBPane = tBPane;
    }//end method setTBPane

    //End GetterSetterExtension Source Code
//!
}
